<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This plugin serves as a database and plan for all learning activities in the organization,
 * where such activities are organized for a more structured learning program.
 * @package    block_learning_plan
 * @copyright  3i Logic<lms@3ilogic.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL
 * @author     Azmat Ullah <azmat@3ilogic.com>
 */
defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Learning plan';
$string['learning_plan'] = 'Learning plan';
$string['learning_plan_name'] = 'Name';
$string['learningpath'] = 'Add learning plan';
$string['desc'] = 'Description';
$string['end_date'] = 'End date';
$string['attachment'] = 'Upload file';
$string['start_date'] = 'Start date';
$string['url'] = 'URL';
$string['add_training'] = 'Add training';
$string['add_training_method'] = 'Add training method';
$string['training_method'] = 'Learning method';
$string['assign_training_learningplan'] = 'Assign training';
$string['training_name'] = 'Course name';
$string['learningplan'] = 'Learning plan';
$string['training'] = 'Course name';
$string['add_learningplan'] = 'Add learning plan';
$string['trainingstatus'] = 'Set training status';
$string['remarks'] = 'Remarks';
$string['status'] = 'Status';
$string['assign_learningplan_user'] = 'Assign learning plan to users';
$string['addusers'] = 'Add users';
$string['searchusers'] = 'Search users';
$string['showuser'] = 'Show users';
$string['block/learning_plan:viewpages'] = 'Learning plan view pages';
$string['block/learning_plan:managepages'] = 'Learning plan manage pages';
$string['myview'] = 'My learning plan';
$string['search'] = 'Search';
$string['status_report'] = 'Status report';
$string['report_at'] = 'Report as at';
$string['plan_format'] = 'Please add learning plan in correct format.';
$string['plan_exist'] = 'Learning Plan already exist';
$string['training_format'] = 'Please add  training in correct format';
$string['training_exist'] = 'Training already exist.';
$string['date_val'] = 'End date should be greater than start date.';
$string['s_no'] = 'S.No.';
$string['wrong_url'] = 'Wrong URL';
$string['elearning'] = 'eLearning';
$string['classroom'] = 'Classroom training';
$string['onthejob'] = 'On the job training';
$string['assignee'] = 'Assignee';
$string['remove'] = 'Remove';
$string['edit'] = 'Edit';
$string['setting'] = 'Setting';
$string['plan_delete'] = 'Do you want to delete learning plan?';
$string['training_delete'] = 'Do You Want to Delete training?';
$string['record_delete'] = 'Do you want to delete record?';
$string['learning_plan:addinstance'] = 'Add instance';
$string['learning_plan:managepages'] = 'Manage pages';
$string['learning_plan:viewpages'] = 'View pages';
$string['user'] = 'User';
$string['users'] = 'Users';
$string['group_selection'] = 'Group selection';
$string['department'] = 'Group';
$string['status_all'] = 'All Status';
$string['status_not_started'] = 'Not Yet Started';
$string['status_in_progress'] = 'In-Progress';
$string['status_completed'] = 'Completed';
$string['status_all'] = 'All Status';
$string['saved'] = 'Record Added';
$string['updated'] = 'Record Updated';
$string['removed'] = 'Record Removed';
$string['saved_changes'] = 'Saved Changes';
$string['select_training'] = 'Please select training(s)';
$string['select_user'] = 'Please select user(s)';
$string['user_training'] = 'Please select training';
$string['selectuser'] = 'Please select user';
$string['select_learningplan'] = 'Please select Learning Plan';
$string['notfound'] = 'Record not found!';
$string['messageprovider:learningplan_notification'] = 'Learning plan notification';
$string['learninig_plan:learningplan_notification'] = 'View message';
$string['send_notification'] = 'Notification';
$string['message'] = 'Message';
$string['send_message'] = 'Send message';
$string['notification_sent'] = 'Notification sent';
$string['learning_plan_error'] = 'Learning plan is empty';
$string['messageprovider:view'] = 'View notification';
$string['learninig_plan:view'] = 'Learning plan notification view';
$string['learninig_plan:sendmessages'] = 'Send notification';
$string['learninig_plan:viewmessages'] = 'View notification';

